<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
                exclude-result-prefixes="doc"
                version='1.0'>

<xsl:output method="html"
            encoding="ISO-8859-1"
            indent="no"/>

<!-- ******************************************************************** -->
    
<!-- ==================================================================== -->

<xsl:param name="foo" select="'html'"/>

<!-- ==================================================================== -->

<xsl:key name="id" match="*" use="@id"/>

<!-- ==================================================================== -->

<xsl:template match="*">
  <xsl:message>
    <xsl:text>No template matches </xsl:text>
    <xsl:value-of select="name(.)"/>
    <xsl:text>.</xsl:text>
  </xsl:message>

  <font color="red">
    <xsl:text>&lt;</xsl:text>
    <xsl:value-of select="name(.)"/>
    <xsl:text>&gt;</xsl:text>
    <xsl:apply-templates/>
    <xsl:text>&lt;/</xsl:text>
    <xsl:value-of select="name(.)"/>
    <xsl:text>&gt;</xsl:text>
  </font>
</xsl:template>

<xsl:template match="text()">
  <xsl:value-of select="."/>
</xsl:template>
<!-- Begin of non-debug content -->

<xsl:template match="Monat">

		<div align="center"><h2><xsl:text>Fuer:&#160;</xsl:text><xsl:value-of select="."/></h2></div>
</xsl:template>

<xsl:template match="Tag">
		<div align="left"><h2>Taeglich bieten wir an:</h2></div>

  	<xsl:apply-templates/>

</xsl:template>

<xsl:template match="Datum">
	<div align="left"><h2>Datum &#160;	  <xsl:value-of select="."/></h2></div>


</xsl:template>

<!--
<xsl:template match="logo">
	<p>
	 <img src="{.}"></img>
	</p>
</xsl:template>
-->
<!-- 
<xsl:template match="Mensen">
		<div align="left"><h4>Mensen</h4></div>

	 <table border="1" width="800">
  	<tr>
      <th>Nr.</th>
      <th>Mensa</th>
     <th>Ort</th>
    </tr>
  	     <xsl:apply-templates select="Mensa"/>
 	 </table>
   <hr />

</xsl:template>
-->
<xsl:template match="Mensen">
<ul>
  	     <xsl:apply-templates select="Mensa"/>
   <hr />
</ul>
</xsl:template>

<xsl:template match="Mensa">



 	<li>
  <xsl:text>ID:&#160;</xsl:text>
  <xsl:value-of select="./@ID"/>
  <xsl:text>&#160;</xsl:text>
  <xsl:text>ORT:&#160;</xsl:text>
  <xsl:text>&#160;</xsl:text>
  <xsl:value-of select="."/>
  </li>
</xsl:template>

<!--
<xsl:template match="Mensa">


	<tr>
	<td><xsl:number/></td>
 	<td><xsl:value-of select="./@ID"/></td>
  <td><xsl:value-of select="."/></td>
 	</tr>
</xsl:template>

-->
<xsl:template match="Gerichte">
	<div align="left"><h3>Gerichte</h3></div>
	 <table border="1" width="800">
  	<tr>
     <th>Nr.</th>
     <th>Typ</th>
     <th>Fleischart</th>
     <th>Vegetarisch</th>
     <th>Mensa</th>
     <th>Koch</th>
     <th>Gericht</th>
    </tr>

  	<xsl:apply-templates select="Gericht"/>
   </table>
</xsl:template>

<xsl:template match="Gericht">
  <tr>
	<td><xsl:number/></td>
 	<td><xsl:value-of select="./@typ"/></td>
 	<td><xsl:value-of select="./@meat"/></td>
 	<td><xsl:value-of select="./@vegi"/></td>
 	<td><xsl:value-of select="./@idref"/><xsl:apply-templates select="./Mensaref"/></td>
 	<td><xsl:apply-templates select="./Koch"/></td>
 	<td><xsl:value-of select="text()"/></td>
	</tr>
    
</xsl:template>

<xsl:template match="Mensaref">
  <xsl:value-of select="./@idref"/>
</xsl:template>


<xsl:template match="Koch">
  <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="Speiseplan">
	<html>
	<head>
		<title>Speiseplan</title>
	</head>
	<body>
		<div align="center"><h1>Speiseplan</h1></div>
		<div align="center"><h2><xsl:value-of select="./@ablaufdatum"/></h2></div>

		<xsl:apply-templates select="Monat"/>
		<xsl:apply-templates select="Mensen"/>
		<xsl:apply-templates select="Tag"/>
	
	</body>
	</html>
</xsl:template>

<xsl:template match="/">
		<xsl:apply-templates/>
</xsl:template>


<!-- ==================================================================== -->

</xsl:stylesheet>
